tt_message_reply(library call)

NAME
tt_message_reply — reply to a message

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_reply(
Tt_message m);

DESCRIPTION

The tt_message_reply function informs the ToolTalk service that the process has handled the message and filled in all return values.

The ToolTalk service sends the message back to the sending process and fills in the state attribute with TT_HANDLED.

The m argument is the opaque handle for the message involved in this operation.

RETURN VALUE

Upon successful completion, the tt_message_reply function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_NOTHANDLER
    This application is not the handler for this message.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

TT_ERR_PROCID
    The specified process identifier is out of date or invalid.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).